Name:           saxpath
Version:        1.0
Release:        %mkrel 11
Summary:        Simple API for XPath

Group:          Development/Java 
License:        Saxpath
URL:            http://sourceforge.net/projects/saxpath/
Source0:        http://downloads.sourceforge.net/saxpath/%{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.pom
Source2:        LICENSE

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  ant-junit

Requires:       jpackage-utils

%description
The SAXPath project is a Simple API for XPath. SAXPath is analogous to SAX
in that the API abstracts away the details of parsing and provides a simple
event based callback interface.

%package        javadoc
Summary:        Javadoc for saxpath
Group:          Documentation

%description    javadoc
Java API documentation for saxpath.

%prep
%setup -q -n %{name}-%{version}-FCS

find -name \*.jar -delete

cp %{SOURCE2} .

%build
mkdir src/conf
touch src/conf/MANIFEST.MF

%ant

# fix rpmlint warings: saxpath-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/saxpath/**/*.css
for file in `find build/doc -type f | grep .css`; do
    sed -i 's/\r//g' $file
done

%install
# install jar
install -dm 755 %{buildroot}%{_javadir}
install -p -m 644 build/%{name}.jar %{buildroot}%{_javadir}/
# FIXME maven-eclipse-plugin need saxpath.jar in '/usr/share/java/saxpath/' to build
install -dm 755 %{buildroot}%{_javadir}/%{name}
ln -s %{_javadir}/%{name}.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar

#install pom
install -dm 755 %{buildroot}%{_mavenpomdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

#depmap entry
%add_maven_depmap 

# install javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -a build/doc/* %{buildroot}%{_javadocdir}/%{name}/

%check
%ant test

%files -f .mfiles
%doc LICENSE
%{_javadir}/%{name}/

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}/


%changelog
* Thu Feb 19 2015 daviddavid <daviddavid> 1.0-11.mga5
+ Revision: 815860
- add a symlink of saxpath.jar to /usr/share/java/saxpath/
  * fix for maven-eclipse-plugin build

* Mon Jan 19 2015 daviddavid <daviddavid> 1.0-10.mga5
+ Revision: 811438
- Sync with fc21
- fix Group
- remove no longer needed %%post and %%postun for maven_depmap

* Fri Oct 31 2014 pterjan <pterjan> 1.0-9.mga5
+ Revision: 794924
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-8.mga5
+ Revision: 750575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 689040
- Mageia 5 Mass Rebuild

* Tue Dec 10 2013 joequant <joequant> 1.0-6.mga4
+ Revision: 556139
- fix maven depmap

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jul 30 2013 joequant <joequant> 1.0-4.mga4
+ Revision: 461052
- remove ant-nodeps and ant-trax from buildrequires

* Mon Jan 14 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 381762
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 dmorgan <dmorgan> 1.0-2.mga1
+ Revision: 39957
- imported package saxpath


* Wed Mar 10 2010 Peter Lemenkov <lemenkov@gmail.com> 1.0-1.7
- Added missing Requires: jpackage-utils (%%{_javadir} and %%{_javadocdir})

* Thu Aug 20 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-1.6
- Fix GROUPS.
- Wrap changelog.

* Mon Jun 8 2009 Yong Yang <yyang@redhat.com> 1.0-1.5
- Fix "saxpath-javadoc.noarch: W: wrong-file-end-of-line-encoding
  /usr/share/javadoc/saxpath/**/*.css"
- Fix "saxpath.src: W: mixed-use-of-spaces-and-tabs
  (spaces: line 1, tab: line 6)"

* Wed May 13 2009 Fernando Nasser <fnasser@redhat.com> 1.0-1.4
- Fix license

* Tue Mar 10 2009 Yong Yang <yyang@redhat.com> 1.0-1.3
- rebuild with maven2 2.0.8 built in bootstrap mode

* Tue Jan 06 2009 Yong Yang <yyang@redhat.com> 1.0-1.2
- Import from dbhole's maven 2.0.8 packages

* Wed Dec 03 2008 Deepak Bhole <dbhole@redhat.com> 1.0-1.1
- Initial build.

